#!/bin/sh

######################################################################
#                     X-Bone 4.0 Release                             #
#        Shell script to install dependent perl modules on Linux     #
######################################################################
# This script Downloads the perl modules
# required by xbone and installs them. 
#####################################################################
CWD=`pwd`;
DIR=`pwd`/packages
GET=fetch

# create a temporary directory 
mkdir -p $DIR

# where to download the tar.gz from 
PREFIX="http://search.cpan.org/CPAN/authors/id"
ALTPREFIX="ftp://ftp.cpan.org/pub/CPAN/authors/id"

#########################################################
### GORAN: List updated by Goran Scuric July 6,2011
#########################################################
for i in  \
        D/DG/DGO/Module-Build-0.3800.tar.gz		\
	M/MS/MSCHWERN/Test-Simple-0.98.tar.gz 		\
	J/JM/JMM/Heap-0.80.tar.gz 			\
	J/JH/JHI/Graph-0.94.tar.gz 			\
        M/MA/MANU/Net-IP-1.25.tar.gz                    \
	O/OL/OLAF/Net-DNS-0.66.tar.gz 			\
	U/UM/UMEMOTO/Socket6-0.23.tar.gz 		\
	L/LD/LDS/IO-Interface-1.05.tar.gz 		\
	T/TO/TOMC/modules/Socket-1.5.tar.gz		\
	G/GA/GAAS/Digest-HMAC-1.02.tar.gz 		\
	D/DP/DPARIS/Crypt-IDEA-1.08.tar.gz		\
	B/BT/BTROTT/Crypt-DH-0.06.tar.gz 		\
	T/TU/TURNSTEP/Math-GMP-2.06.tar.gz 		\
	B/BT/BTROTT/Digest-BubbleBabble-0.02.tar.gz 	\
	L/LD/LDS/Crypt-CBC-2.30.tar.gz 			\
	D/DP/DPARIS/Crypt-Blowfish-2.12.tar.gz 		\
	V/VI/VIPUL/Convert-ASCII-Armour-1.4.tar.gz 	\
	P/PM/PMQS/IO-Compress-Raw-Bzip2-2.037.tar.gz    \
	P/PM/PMQS/IO-Compress-Raw-Zlib-2.037.tar.gz     \
	P/PM/PMQS/IO-Compress-2.037.tar.gz 		\
	G/GA/GAAS/Digest-MD2-2.03.tar.gz 		\
	E/ED/EDAVIS/Sort-Versions-1.5.tar.gz 		\
	B/BT/BTROTT/Data-Buffer-0.04.tar.gz 		\
	J/JV/JV/Getopt-Long-2.38_02.tar.gz 		\
	M/MU/MUIR/modules/Net-Netmask-1.9016.tar.gz 	\
	F/FL/FLORA/Net-SSLeay-1.36.tar.gz 		\
	M/MI/MIKER/NetAddr-IP-4.044.tar.gz 		\
	P/PE/PERIGRIN/XML-NamespaceSupport-1.11.tar.gz 	\
	S/SH/SHLOMIF/XML-LibXML-1.78.tar.gz 		\
	T/TO/TODDR/XML-Parser-2.41.tar.gz 		\
	G/GR/GRANTM/XML-Simple-2.18.tar.gz 		\
        G/GA/GAAS/Encode-Locale-1.02.tar.gz             \
	G/GA/GAAS/File-Listing-6.02.tar.gz		\
	D/DA/DAGOLDEN/Module-Build-0.3800.tar.gz        \
	D/DC/DCONWAY/Parse-RecDescent-1.965001.tar.gz 	\
	G/GR/GRANTM/XML-SAX-0.96.tar.gz 		\
	B/BR/BRAMBLE/IO-Socket-Multicast-1.12.tar.gz 	\
	P/PE/PEVANS/IO-Socket-IP-0.07.tar.gz 		\
	G/GB/GBARR/IO-1.25.tar.gz 			\
	S/SU/SULLR/IO-Socket-SSL-1.44.tar.gz 		\
	A/AB/ABW/AppConfig-1.66.tar.gz 			\
	S/SH/SHLOMIF/IO-Socket-INET6-2.67.tar.gz 	\
	M/MA/MARKSTOS/CGI.pm-3.55.tar.gz 		\
	G/GA/GAAS/Digest-SHA1-2.13.tar.gz 		\
	G/GA/GAAS/Digest-MD5-2.51.tar.gz 		\
	G/GA/GAAS/File-CounterFile-1.04.tar.gz 		\
	T/TJ/TJENNESS/File-Temp-0.22.tar.gz 		\
	M/MI/MIVKOVIC/Mail-Sendmail-0.79_16.tar.gz 	\
	D/DL/DLUX/Parallel-ForkManager-0.7.9.tar.gz 	\
	G/GB/GBARR/perl-ldap-0.4001.tar.gz 		\
	S/SR/SREZIC/Tk-804.029_500.tar.gz 		\
	S/SR/SREZIC/Tk-Getopt-0.50.tar.gz 		\
	C/CE/CERNEY/Tk-TableMatrix-1.23.tar.gz 		\
        B/BT/BTROTT/Class-ErrorHandler-0.01.tar.gz 	\
        B/BT/BTROTT/Crypt-DES_EDE3-0.01.tar.gz 		\
        A/AD/ADAMK/Test-Script-1.07.tar.gz 		\
        A/AD/ADAMK/File-Which-1.09.tar.gz 		\
        R/RJ/RJBS/IPC-Run3-0.044.tar.gz 		\
        K/KW/KWILLIAMS/Probe-Perl-0.01.tar.gz 		\
        V/VI/VIPUL/Class-Loader-2.03.tar.gz 		\
        V/VI/VIPUL/Crypt-Random-1.25.tar.gz 		\
        I/IL/ILYAZ/modules/Math-Pari-2.01080601.tar.gz 	\
        V/VI/VIPUL/Crypt-Primes-0.50.tar.gz             \
        S/SO/SOENKE/String-CRC32-1.4.tar.gz 		\
	B/BT/BTROTT/Convert-PEM-0.08.tar.gz 		\
        D/DP/DPARIS/Crypt-DES-2.05.tar.gz 		\
	A/AD/ADAMK/Crypt-DSA-1.17.tar.gz 		\
     	V/VI/VIPUL/Crypt-RSA-1.99.tar.gz 		\
	V/VI/VIPUL/Tie-EncryptedHash-1.24.tar.gz        \
        T/TU/TURNSTEP/Net-SSH-Perl-1.34.tar.gz 		\
	; do \
   URL=$PREFIX/$i
   j=`echo $URL | sed "s/.*\///g"| sed "s/.tar.gz//g"`;\
   echo $URL; \
   echo $j; \
   wget -P $DIR $URL ; \
   tar zxvf $DIR/$j.tar.gz -C $DIR;\
   cd $DIR/$j;\
   perl Makefile.PL;\
   make;\
   make install ;\
   cd $CWD;\
done

#####################################################################
## The following installs modifed Multicast6 packages
## when our modifications get into main stream,
## move these packages to above list !!
#####################################################################
cd /usr/local/src/XBone-4.0/trunk
cd Socket-Multicast-OK
perl Makefile.PL
make
make test
make install

cd ../IO-Socket-Multicast6-OK
perl Build.PL
./Build config_data
./Build code
./Build build
./Build test
./Build install

cd $CWD;
### GORAN END


